de.esprit.netsuite.netdata.event

## Class ServerStatusEvent

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.common.gui.event.GenericEvent
      - - de.esprit.netsuite.netdata.event.ServerStatusEvent

- All Implemented Interfaces:
    DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable
  Direct Known Subclasses:
    ABOChangeEvent, AbstractStatusChangeEvent, BatchTaskConfigStatusEvent, DataSourceStatusEvent, FileTransferStatusEvent, RemoteTaskStatusEvent, ResourceLockStatusEvent, RunStateStatusEvent

      public abstract class ServerStatusEvent
      extends GenericEvent

  This is the super class for all kinds of server status changes
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `ServerStatusEvent.Source`

    - ### Nested classes/interfaces inherited from class de.esprit.common.gui.event.GenericEvent

      `GenericEvent.Listener`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ServerStatusEvent(NetMessageType msgType)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `NetMessageType` | `getMessageType()`

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerStatusEvent

          protected ServerStatusEvent(NetMessageType msgType)

  - ### Method Detail

    - #### getMessageType

          public NetMessageType getMessageType()

Copyright © 2014 EsprIT-Systems. All Rights Reserved.